Template:Main Page/styles.css

Revision as of 18:45, 1 February 2026 by Pumpkin (talk | contribs)
/* {{pp|small=yes}} */
.mp-box {
	border: 1px solid #aaa;
	padding: 0 0.5em 0.5em;
	margin-top: 4px;
}

.mp-h2,
body.skin-timeless .mp-h2 {
	border: 1px solid #aaa;
	margin: 0.5em 0;
	padding: 0.2em 0.4em;
	font-size: 120%;
	font-weight: bold;
	font-family: inherit;
}

.mp-later {
	font-size: 85%;
	font-weight: normal;
}

#mp-welcomecount {
	text-align: center;
	margin: 0.4em;
}

#mp-welcome {
	font-size: 162%;
	padding: 0.1em;
}

#mp-welcome h1,
#mp-welcome .mw-heading1 {
	font-size: inherit;
	font-family: inherit;
	display: inline;
	border: none;
}

#mp-free {
	font-size: 95%;
}

#articlecount {
	font-size: 85%;
}

#articlecount > ul {
	margin: 0;
	padding: 0;
}

#articlecount > ul > li {
	margin: 0; 
	display: inline;
}

#articlecount > ul > li::after {
	content: " · ";
	font-weight: bold;
}

#articlecount > ul > li:last-child::after {
	content: "";
}

#mp-banner {
	text-align: center;
	padding-top: 0.5em;
}

/* clear fix */
.mp-contains-float::after {
	content: "";
	display: block;
	clear: both;
}

@media (max-width: 875px) {
	#mp-tfp table,
	#mp-tfp tr,
	#mp-tfp td,
	#mp-tfp tbody {
		display: block !important;
		width: 100% !important;
		box-sizing: border-box;
	}

	#mp-tfp tr:first-child td:first-child a.mw-file-description {
		text-align: center;
		display: table;
		margin: 0 auto;
	}
	
	#articlecount > ul > li::after {
		content: "";
		font-weight: normal;
	}
	
	#articlecount > ul > li {
		display: block;
	}
}

@media (min-width: 875px) {
	#mp-upper {
		display: flex;
	}
	
	#mp-left {
		flex: 1 1 55%;
		margin-right: 2px;
	}
	
	#mp-right {
		flex: 1 1 45%;
		margin-left: 2px;
	}
}

/* normal screen mode colors */
@media screen {
	#mp-topbanner {
		background-color: #f9f9f9;
		border-color: #aaa;
	}
	
	#mp-banner {
		background-color: #fffaf5;
		border-color: #aaa;
	}
	
	#mp-left {
		background-color: #e7033f; /* kırmızı */
		border-color: #e7033f;
	}
	#mp-left .mp-h2 {
		background-color: #e7033f;
		border-color: #e7033f;
	}
	
	#mp-right {
		background-color: #082849; /* mavi */
		border-color: #082849;
	}
	#mp-right .mp-h2 {
		background-color: #082849;
		border-color: #082849;
	}
	
	#mp-middle {
		background-color: #0b1e1c; /* yeşil */
		border-color: #0b1e1c;
	}
	#mp-middle .mp-h2 {
		background-color: #0b1e1c;
		border-color: #0b1e1c;
	}
	
	#mp-lower {
		background-color: #e7033f; /* kırmızı */
		border-color: #e7033f;
	}
	#mp-lower .mp-h2 {
		background-color: #e7033f;
		border-color: #e7033f;
	}
	
	#mp-bottom {
		border-color: #082849; /* mavi */
	}
	#mp-bottom .mp-h2 {
		background-color: #0b1e1c; /* yeşil */
		border-color: #0b1e1c;
	}
}

/* night mode */
html.skin-theme-clientpref-night #mp-left {
	background-color: #e7033f;
	border-color: #e7033f;
}
html.skin-theme-clientpref-night #mp-left .mp-h2 {
	background-color: #e7033f;
	border-color: #e7033f;
}
html.skin-theme-clientpref-night #mp-right {
	background-color: #082849;
	border-color: #082849;
}
html.skin-theme-clientpref-night #mp-right .mp-h2 {
	background-color: #082849;
	border-color: #082849;
}
html.skin-theme-clientpref-night #mp-middle {
	background-color: #0b1e1c;
	border-color: #0b1e1c;
}
html.skin-theme-clientpref-night #mp-middle .mp-h2 {
	background-color: #0b1e1c;
	border-color: #0b1e1c;
}
html.skin-theme-clientpref-night #mp-lower {
	background-color: #e7033f;
	border-color: #e7033f;
}
html.skin-theme-clientpref-night #mp-lower .mp-h2 {
	background-color: #e7033f;
	border-color: #e7033f;
}
html.skin-theme-clientpref-night #mp-bottom .mp-h2 {
	background-color: #0b1e1c;
	border-color: #0b1e1c;
}

/* OS night mode */
html.skin-theme-clientpref-os #mp-left {
	background-color: #e7033f;
	border-color: #e7033f;
}
html.skin-theme-clientpref-os #mp-left .mp-h2 {
	background-color: #e7033f;
	border-color: #e7033f;
}
html.skin-theme-clientpref-os #mp-right {
	background-color: #082849;
	border-color: #082849;
}
html.skin-theme-clientpref-os #mp-right .mp-h2 {
	background-color: #082849;
	border-color: #082849;
}
html.skin-theme-clientpref-os #mp-middle {
	background-color: #0b1e1c;
	border-color: #0b1e1c;
}
html.skin-theme-clientpref-os #mp-middle .mp-h2 {
	background-color: #0b1e1c;
	border-color: #0b1e1c;
}
html.skin-theme-clientpref-os #mp-lower {
	background-color: #e7033f;
	border-color: #e7033f;
}
html.skin-theme-clientpref-os #mp-lower .mp-h2 {
	background-color: #e7033f;
	border-color: #e7033f;
}
html.skin-theme-clientpref-os #mp-bottom .mp-h2 {
	background-color: #0b1e1c;
	border-color: #0b1e1c;
}